summaryrefslogtreecommitdiff
path: root/report.sh
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2022-01-05 15:28:33 +0000
committerLars Wirzenius <liw@liw.fi>2022-01-05 15:28:33 +0000
commit5701859650fc77f4a5832eddb7c045caf4571017 (patch)
treee2e6421be7d0fd3bed0e5251e7a72e988ff992c8 /report.sh
parentb6c4e5e0301158ac821e876aa0255168ed4043dc (diff)
parent3a635e26d57573828163cafcc5240fa8c670203d (diff)
downloadobnam-benchmark-5701859650fc77f4a5832eddb7c045caf4571017.tar.gz
Merge branch 'reporting' into 'main'
feat: add report generation Closes #3 See merge request obnam/obnam-benchmark!8
Diffstat (limited to 'report.sh')
-rwxr-xr-xreport.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/report.sh b/report.sh
new file mode 100755
index 0000000..4c426db
--- /dev/null
+++ b/report.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+set -euo pipefail
+
+obnam-benchmark report "$@" |
+ pandoc -f markdown+pipe_tables -t html -H obnam-benchmark.css \
+ --metadata title="Obnam benchmarks" - -o /dev/stdout